Bug 50063 - Latest trunck can't configure context when metadata-complete is true and version is 3.0
Latest trunck can't configure context when metadata-complete is true and vers...
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Catalina
trunk
PC All
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-10-08 22:59 UTC by heyoulin
Modified: 2010-10-10 05:58 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description heyoulin 2010-10-08 22:59:40 UTC
patch:

### Eclipse Workspace Patch 1.0
#P tomcat-7.0.x
Index: java/org/apache/catalina/startup/ContextConfig.java
===================================================================
--- java/org/apache/catalina/startup/ContextConfig.java	(revision 1006105)
+++ java/org/apache/catalina/startup/ContextConfig.java	(working copy)
@@ -1281,6 +1281,7 @@
                     }
                 }
             } else {
+            	webXml.configureContext(context);
                 ok = true;
             }
Comment 1 Mark Thomas 2010-10-10 05:58:48 UTC
That's what I get for just running the associated unit tests. Thanks for spotting this as well as finding the problem and providsing a patch.


Patch applied to trunk and will be in 7.0.4 onwards